Package org.h2.test.unit

# Class TestExit.MyDatabaseEventListener

java.lang.Object
org.h2.test.unit.TestExit.MyDatabaseEventListener

All Implemented Interfaces:
  `EventListener`, `DatabaseEventListener`

Enclosing class:
  `TestExit`

public static final class TestExit.MyDatabaseEventListener extends Object implements DatabaseEventListener
A database event listener used in this test.

## Field Summary

### Fields inherited from interface org.h2.api.DatabaseEventListener

`STATE_BACKUP_FILE, STATE_CREATE_INDEX, STATE_RECONNECTED, STATE_RECOVER, STATE_SCAN_FILE, STATE_STATEMENT_END, STATE_STATEMENT_PROGRESS, STATE_STATEMENT_START`

## Constructor Summary

Constructors
Constructor
Description
`MyDatabaseEventListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`closingDatabase()`
This method is called before the database is closed normally.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.DatabaseEventListener

`exceptionThrown, init, opened, setProgress`

## Constructor Details

### MyDatabaseEventListener

public MyDatabaseEventListener()

## Method Details

### closingDatabase

public void closingDatabase()
Description copied from interface: `DatabaseEventListener`
This method is called before the database is closed normally. It is safe to connect to the database and execute statements at this point, however the connection must be closed before the method returns.

Specified by:
  `closingDatabase` in interface `DatabaseEventListener`